> For the complete documentation index, see [llms.txt](https://api-documentation.autoshares.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-documentation.autoshares.dev/rest-api/trading-api/user-accounts/get-accounts-history/useraccounts_getaccounthistory.md).

# Syntax

## Get account history

```
GET /v{version}/accounts/{accountId}/history
```

### Description

This API endpoint returns the historical value of a particular trading account throughout the specified period.

### Parameters

| Type       | Name                           | Description                                                                                                                                          | Schema             | Default |
| ---------- | ------------------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------ | ------- |
| **Header** | **Authorization**   *required* | This is the authorization token that you retrieved from the first endpoint (/token).                                                                 | string             |         |
| **Header** | **Et-App-Key**   *required*    | This is your app’s unique key that can be retrieved from the BO Companies widget in Autoshares Trader.                                               | string             |         |
| **Path**   | **accountId**   *required*     | This is the unique identifier of the trading account in Autoshares Trader.This is the unique identifier of the trading account in Autoshares Trader. | integer (int32)    |         |
| **Path**   | **version**   *required*       | This is the version of the API. Unless you have multiple versions of Autoshares Trader’s API deployed in your environment, leave it at 1.0.          | string             | `"1"`   |
| **Query**  | **endDate**   *required*       | The end of the target period (in UTC ticks).                                                                                                         | string (date-time) |         |
| **Query**  | **startDate**   *required*     | The start of the target period (in UTC ticks).                                                                                                       | string (date-time) |         |
| **Query**  | **step**   *required*          | Obsolete.                                                                                                                                            | integer (int32)    |         |

### Responses

| HTTP Code | Description                                                                                       | Schema                                                                                                                                    |
| --------- | ------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------- |
| **200**   | Returns a dictionary with historical values of the trading account                                | < [AccountValueItem](/rest-api/trading-api/user-accounts/get-accounts-history/useraccounts_getaccounthistory.md#accountvalueitem) > array |
| **401**   | The access level of the provided authorization token is not sufficient to perform this operation. | No Content                                                                                                                                |
| **403**   | The provided Et-App-Key is incorrect.                                                             | No Content                                                                                                                                |
| **422**   | A validation error occurred while processing the request.                                         | No Content                                                                                                                                |
| **500**   | Internal server error                                                                             | No Content                                                                                                                                |

### Produces

* `application/json`
* `text/json`
